org.gradle.nativeplatform

## Interface TargetedNativeComponent

- All Superinterfaces:
    ComponentSpec, Named, PlatformAwareComponentSpec
  All Known Subinterfaces:
    NativeExecutableSpec, NativeLibrarySpec

      @Incubating
      public interface TargetedNativeComponent
      extends PlatformAwareComponentSpec

  A native component that can be configured to target certain variant dimensions. This functionality is a temporary workaround to eliminate configuration of unnecessary domain objects and tasks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `targetBuildTypes(String... platformSelectors)` Specifies the names of one or more `BuildType`s that this component should be built for.
    `void` | `targetFlavors(String... flavorSelectors)` Specifies the names of one or more `Flavor`s that this component should be built for.

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### targetFlavors

          void targetFlavors(String... flavorSelectors)

      Specifies the names of one or more `Flavor`s that this component should be built for.

    - #### targetBuildTypes

          void targetBuildTypes(String... platformSelectors)

      Specifies the names of one or more `BuildType`s that this component should be built for.